# -*- encoding: utf-8 -*-
# stub: azure_mgmt_mobile_engagement 0.8.0 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_mobile_engagement".freeze
  s.version = "0.8.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2017-01-24"
  s.description = "Microsoft Azure Mobile Engagement Management Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/azure_mgmt_mobile_engagement.rb".freeze, "lib/generated".freeze, "lib/generated/azure_mgmt_mobile_engagement".freeze, "lib/generated/azure_mgmt_mobile_engagement.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/app_collections.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/apps.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/campaigns.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/devices.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/engagement_management_client.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/export_tasks.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/import_tasks.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/announcement_feedback_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/api_error.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/api_error_error.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/app.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/app_collection.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/app_collection_list_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/app_collection_name_availability.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/app_info_filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/app_list_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/application_version_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/audience_operators.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/boolean_tag_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_audience.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_feedbacks.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_kinds.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_list_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_localization.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_push_parameters.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_push_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_state.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_state_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_states.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_statistics_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_test_new_parameters.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_test_saved_parameters.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_type.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaign_types.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/campaigns_list_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/carrier_country_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/carrier_name_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/datapush_feedback_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/date_range_export_task_parameter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/date_tag_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/delivery_times.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device_info.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device_location.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device_manufacturer_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device_meta.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device_model_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device_query_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device_tags_parameters.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/device_tags_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/devices_query_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/engage_active_users_filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/engage_idle_users_filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/engage_new_users_filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/engage_old_users_filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/engage_subset_filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/export_format.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/export_options.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/export_state.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/export_task_list_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/export_task_parameter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/export_task_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/export_type.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/feedback_by_campaign_parameter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/feedback_by_date_range_parameter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/firmware_version_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/geo_fencing_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/import_task.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/import_task_list_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/import_task_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/integer_tag_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/job_states.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/language_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/location_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/native_push_enabled_filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/network_type_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/notification_options.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/notification_types.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/poll_answer_feedback_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/poll_feedback_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/poll_question.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/poll_question_choice.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/poll_question_choice_localization.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/poll_question_localization.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/provisioning_states.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/push_modes.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/push_quota_filter.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/screen_size_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/segment_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/string_tag_criterion.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/models/supported_platforms_list_result.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/module_definition.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/supported_platforms.rb".freeze, "lib/generated/azure_mgmt_mobile_engagement/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "2.5.2".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Mobile Engagement Management services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
      s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
      s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.6.2"])
    else
      s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
      s.add_dependency(%q<rake>.freeze, ["~> 10"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3"])
      s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
      s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.6.2"])
    end
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.6.2"])
  end
end
